{
  "name": "wiki-ghostguild",
  "private": true,
  "type": "module",
  "engines": {
    "node": "^20.19.0"
  },
  "scripts": {
    "build": "nuxt generate",
    "dev": "nuxt dev",
    "generate": "nuxt generate",
    "preview": "nuxt preview",
    "start": "node .output/server/index.mjs",
    "postinstall": "nuxt prepare || true"
  },
  "dependencies": {
    "@nuxt/content": "^3.7.1",
    "@nuxt/ui": "^3.3.7",
    "@tailwindcss/typography": "^0.5.19",
    "@types/jsonwebtoken": "^9.0.10",
    "@types/marked": "^5.0.2",
    "@types/mongoose": "^5.11.96",
    "@vueuse/nuxt": "^14.0.0",
    "better-sqlite3": "^12.4.1",
    "jsonwebtoken": "^9.0.2",
    "marked": "^17.0.0",
    "mongoose": "^8.19.3",
    "nuxt": "^4.2.1",
    "nuxt-auth-utils": "^0.5.25",
    "vue": "^3.5.22",
    "vue-router": "^4.6.3"
  },
  "devDependencies": {
    "@types/node": "^24.10.0",
    "typescript": "^5.9.3",
    "vue-tsc": "^3.1.3"
  }
}
